<?php

namespace Lc\CaracoleBundle\Repository;

use Lc\CaracoleBundle\Model\Section\SectionInterface;

trait SectionRepositoryQueryTrait
{
    protected SectionInterface $section;

    public function setSection(SectionInterface $section)
    {
        $this->section = $section;

        return $this;
    }

    public function filterBySection(SectionInterface $section = null)
    {
        $this->andWhere('.section = :section');

        if(is_null($section)) {
            if(is_null($this->section)){
                throw new \ErrorException('Aucun merchant défini');
            }
            return $this->setParameter(':section', $this->section);
        }else{
            return $this->setParameter(':section', $section);
        }
    }
}
